#include "xgfxlightimage.h"

XGfxLightImage::XGfxLightImage()
    : XAsset()
    , mImage(new XGfxImage())
    , mSamplerState(0)
{

}

XGfxLightImage::~XGfxLightImage()
{
    delete mImage;
}

void XGfxLightImage::ParseData(QDataStream *aStream)
{
    mImage->ParsePtr(aStream, false);

    *aStream >> mSamplerState;

    aStream->skipRawData(3);

    mImage->ParseData(aStream);
}

void XGfxLightImage::Clear()
{
    mImage->Clear();
    mSamplerState = 0;
}
